package com.loganmagnan.bedwars.commands.party;

import com.loganmagnan.bedwars.BedWars;
import com.loganmagnan.bedwars.commands.BaseCommand;
import com.loganmagnan.bedwars.playerdata.PlayerState;
import com.loganmagnan.bedwars.utils.CC;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import java.util.ArrayList;
import java.util.List;

public class LeaveCommand extends BaseCommand {

    private BedWars main = BedWars.getInstance();

    @Override
    public void executeAs(CommandSender sender, Command cmd, String label, String[] args) {
        Player player = (Player) sender;

        if (this.main.getPlayerDataManager().getPlayerData(player.getUniqueId()).getPlayerState() != PlayerState.SPAWN) {
            player.sendMessage(CC.translate("&cYou can't use this while not in the spawn!"));
            return;
        }

        this.main.getPartyManager().leaveParty(player);
    }

    @Override
    public List<String> getTabCompletions(CommandSender sender, Command cmd, String label, String[] args) {
        List<String> tabCompletions = new ArrayList<String>();

        return tabCompletions;
    }
}
